Get Shared Network Workspace
Get Shared Network Workspace. This GET operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Get Shared Network Workspace. This GET operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://app.enderdash.com/api/trpc/servers.getSharedNetworkWorkspace?input=%7B%22organizationId%22%3A%22string%22%2C%22organizationSlug%22%3A%22string%22%7D"{ "result": { "data": { "version": 3, "layout": { "grid": { "root": { "type": "leaf", "data": { "views": [ "string" ], "activeView": "string", "id": "string", "locked": "no-drop-target", "hideHeader": true, "headerPosition": "left", "skipSetActive": true, "constraints": { "minimumWidth": 0, "maximumWidth": 0, "minimumHeight": 0, "maximumHeight": 0 }, "initialWidth": 0, "initialHeight": 0 }, "size": 0, "visible": true }, "height": 0, "width": 0, "orientation": "HORIZONTAL" }, "panels": { "property1": { "id": "string", "contentComponent": "string", "tabComponent": "string", "title": "string", "renderer": "always", "params": { "property1": null, "property2": null }, "minimumWidth": 0, "minimumHeight": 0, "maximumWidth": 0, "maximumHeight": 0 }, "property2": { "id": "string", "contentComponent": "string", "tabComponent": "string", "title": "string", "renderer": "always", "params": { "property1": null, "property2": null }, "minimumWidth": 0, "minimumHeight": 0, "maximumWidth": 0, "maximumHeight": 0 } }, "activeGroup": "string", "floatingGroups": [ { "data": { "views": [ "string" ], "activeView": "string", "id": "string", "locked": "no-drop-target", "hideHeader": true, "headerPosition": "left", "skipSetActive": true, "constraints": { "minimumWidth": 0, "maximumWidth": 0, "minimumHeight": 0, "maximumHeight": 0 }, "initialWidth": 0, "initialHeight": 0 }, "position": { "width": 0, "height": 0, "top": 0, "left": 0 } } ], "popoutGroups": [ { "data": { "views": [ "string" ], "activeView": "string", "id": "string", "locked": "no-drop-target", "hideHeader": true, "headerPosition": "left", "skipSetActive": true, "constraints": { "minimumWidth": 0, "maximumWidth": 0, "minimumHeight": 0, "maximumHeight": 0 }, "initialWidth": 0, "initialHeight": 0 }, "url": "string", "gridReferenceGroup": "string", "position": { "left": 0, "top": 0, "height": 0, "width": 0 } } ] }, "tiles": { "property1": { "kind": "server", "serverId": "string", "panelType": "permissions" }, "property2": { "kind": "server", "serverId": "string", "panelType": "permissions" } } } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Get Server Route Access GET
Get Server Route Access. This GET operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Get Shared Server Workspace GET
Get Shared Server Workspace. This GET operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.